rte_eth_desc_lim(3)

NAME
rte_eth_desc_lim

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint16_t nb_max
uint16_t nb_min
uint16_t nb_align
uint16_t nb_seg_max
uint16_t nb_mtu_seg_max

Detailed Description

A structure contains information about HW descriptor ring limitations.

Definition at line 1364 of file rte_ethdev.h.

Field Documentation

  uint16_t nb_max
Max allowed number of descriptors.

Definition at line 1365 of file rte_ethdev.h.

  uint16_t nb_min
Min allowed number of descriptors.

Definition at line 1366 of file rte_ethdev.h.

  uint16_t nb_align
Number of descriptors should be aligned to.

Definition at line 1367 of file rte_ethdev.h.

  uint16_t nb_seg_max
Max allowed number of segments per whole packet.

•   For TSO packet this is the total number of data descriptors allowed by device.

See also
    nb_mtu_seg_max

Definition at line 1377 of file rte_ethdev.h.

  uint16_t nb_mtu_seg_max
Max number of segments per one MTU.

•   For non-TSO packet, this is the maximum allowed number of segments in a single transmit packet.

•   For TSO packet each segment within the TSO may span up to this value.

See also
    nb_seg_max

Definition at line 1390 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.